Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator.ViewModels.ISettings Interface Reference

Interface of application settings. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.ISettings:

## Public Member Functions
void | Save ()
| Saves application settings. More...

## Properties
string | LastGeometricTopologyPath`[get, set]`
| Item for path to file where is the last opened topology. More...
int | PreviousSeed`[get, set]`
| Seed which was used in the last simulation. More...
bool | PreviousSeedNull`[get, set]`
| Determines whether there is any previous seed (whether any simulation was running in past). More...
bool | IsSeedSettingAutomatic`[get, set]`
| Determines whether the seed is initialized automatically. More...
bool | IsPreviousSeedUsed`[get, set]`
| Determines whether the seed from previous simulation run is used. More...
string | PathToParameters`[get, set]`
| Path to last used file with parameters. More...

## Detailed Description

Interface of application settings.

Definition at line 6 of file ISettings.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator.ViewModels.ISettings.Save | ( |  | ) |

Saves application settings.

Implemented in Microscopic_Traffic_Simulator.Settings.

## Property Documentation

bool Microscopic_Traffic_Simulator.ViewModels.ISettings.IsPreviousSeedUsed
| get set

Determines whether the seed from previous simulation run is used.

Definition at line 31 of file ISettings.cs.

bool Microscopic_Traffic_Simulator.ViewModels.ISettings.IsSeedSettingAutomatic
| get set

Determines whether the seed is initialized automatically.

Definition at line 26 of file ISettings.cs.

string Microscopic_Traffic_Simulator.ViewModels.ISettings.LastGeometricTopologyPath
| get set

Item for path to file where is the last opened topology.

Definition at line 11 of file ISettings.cs.

string Microscopic_Traffic_Simulator.ViewModels.ISettings.PathToParameters
| get set

Path to last used file with parameters.

Definition at line 36 of file ISettings.cs.

int Microscopic_Traffic_Simulator.ViewModels.ISettings.PreviousSeed
| get set

Seed which was used in the last simulation.

Definition at line 16 of file ISettings.cs.

bool Microscopic_Traffic_Simulator.ViewModels.ISettings.PreviousSeedNull
| get set

Determines whether there is any previous seed (whether any simulation was running in past).

Definition at line 21 of file ISettings.cs.

The documentation for this interface was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/ISettings.cs